% Function to run a Python-script in Abaqus CAE without GUI.
% Specify:
%           script    - name of Python-script (no extension) (.py)
%           directory - directory where the script is located
%
% Author: rjan Fredriksen
% Created: 13.02.2012 - Modified: 02.06.2012

function runabaqus(script,directory)

log = fopen(['Echo' script '.txt'],'a'); % Writes echo to txt-file
[~, echo] = dos(['cd ' directory ' & abaqus cae noGUI=' script '.py'],'-echo');
fprintf(log,echo);
fclose(log);
end