% Function to generate a string that will make a legend for plots if
% executed using the MATLAB function eval(plotstring).
% Specify:
%           ncases  - number of different cases to be plotted
%           string1 - legend string before data input
%           data    - vector containing data
%           string2 - legend string after data input
%
% Author: rjan Fredriksen
% Created: 14.03.2012 - Modified: 14.03.2012

function legendstring = getlegendstring(ncases,string1,data,string2)

legendstring = 'legend(';
for i = 1:ncases-1
    legendstring = [legendstring '''' string1 num2str(data(i)) string2 ''',']; %#ok<AGROW>
end
legendstring = [legendstring '''' string1 num2str(data(ncases)) string2 ''')'];
end